Alokai

SapccApiGetTicketsRequest

Request parameters for getTickets operation in SapccApi. SapccApiGetTicketsRequest

interface SapccApiGetTicketsRequest {
	readonly baseSiteId: string;
	readonly currentPage?: number;
	readonly fields?: string;
	readonly pageSize?: number;
	readonly sort?: string;
	readonly userId: string;
}

Properties

NameRequiredTypeDescription
baseSiteIdRequiredstringBase site identifier {string} SapccApiGetTickets
currentPageOptionalnumberThe current result page requested. Default value is 0. {number} SapccApiGetTickets
fieldsOptionalstringResponse configuration. This is the list of fields that should be returned in the response body. Examples: BASIC,DEFAULT,FULL {string} SapccApiGetTickets
pageSizeOptionalnumberNumber of results returned per page. Example: 20 {number} SapccApiGetTickets
sortOptionalstringSorting method applied to the return results. Possible values are: byDate and byTicketId. {string} SapccApiGetTickets
userIdRequiredstringUser identifier or one of the literals : 'current' for currently authenticated user, 'anonymous' for anonymous user {string} SapccApiGetTickets

On this page